Bug 1125319 - https://xmlrpc.rhn.redhat.com/XMLRPC-REDIRECT reports 404
Summary: https://xmlrpc.rhn.redhat.com/XMLRPC-REDIRECT reports 404
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/API
Version: rhn522
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Bernleithner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-31 14:51 UTC by Jan Hutař
Modified: 2017-07-05 15:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Jan Hutař 2014-07-31 14:51:31 UTC
Description of problem:
Accessing https://xmlrpc.rhn.redhat.com/XMLRPC-REDIRECT gives me 404 instead of 302 and redirecting me. This changed 2 days back. Is it an intentional change or some kind of outage?


Version-Release number of selected component (if applicable):
Current RHN


How reproducible:
always for last two days


Steps to Reproduce:
1. $ curl --silent --insecure --head https://xmlrpc.rhn.redhat.com/XMLRPC-REDIRECT


Actual results:
$ curl --head --insecure https://xmlrpc.rhn.redhat.com/XMLRPC-REDIRECT
HTTP/1.1 404 Not Found
Date: Thu, 31 Jul 2014 14:49:22 GMT
Server: Apache
Connection: close
Content-Type: text/html; charset=iso-8859-1


Expected results:
$ curl --silent --insecure --head https://xmlrpc.rhn.redhat.com/XMLRPC-REDIRECT | grep Location
Location: https://xmlrpc.rhn.redhat.com/XMLRPC


Additional info:
More info about /XMLRPC-REDIRECT can be found in bug 618170.

Comment 1 Thomas "Shea" DeAntonio 2017-07-05 15:12:52 UTC
As you may already be aware, Red Hat is transitioning from the Red Hat Network (RHN) hosted interface to the Red Hat Subscription Management (RHSM) interface in July 2017. Red Hat has invested in and seen success from RHN for many years, and used that experience to build more robust technologies like RHSM. 
 
If you have not yet migrated your RHN systems to RHSM or you are a Red Hat Satellite customer, please review the information from. https://access.redhat.com/products/red-hat-subscription-management#migration. 
 
Since we are shutting down RHN, no further actions will be taken with this bug or enhancement request.  You can find additional information at RHSM product page (https://access.redhat.com/products/red-hat-subscription-management).  If you have further questions, please contact support (https://access.redhat.com/products/red-hat-subscription-management#support).

Comment 2 Thomas "Shea" DeAntonio 2017-07-05 15:13:38 UTC
As you may already be aware, Red Hat is transitioning from the Red Hat Network (RHN) hosted interface to the Red Hat Subscription Management (RHSM) interface in July 2017. Red Hat has invested in and seen success from RHN for many years, and used that experience to build more robust technologies like RHSM. 
 
If you have not yet migrated your RHN systems to RHSM or you are a Red Hat Satellite customer, please review the information from. https://access.redhat.com/products/red-hat-subscription-management#migration. 
 
Since we are shutting down RHN, no further actions will be taken with this bug or enhancement request.  You can find additional information at RHSM product page (https://access.redhat.com/products/red-hat-subscription-management).  If you have further questions, please contact support (https://access.redhat.com/products/red-hat-subscription-management#support).


Note You need to log in before you can comment on or make changes to this bug.